'
' Demonstrate the control of upto 8 servos attached to PortB
'
    Device = 18F25K20
    Xtal = 32
    Declare Optimiser_Level = 1
    Declare Dead_Code_Remove = On

    $define Servo_NumberOfServos 8              ' We'll use 8 servos
    $define Servo_Priority ipHigh               ' Interrupt priority is high

    Include "Servo_X8.inc"                      ' Load the Servo_X8 macros into the program

    Dim CountVar As Word                        ' Create a temporary variable
    
'------------------------------------------------------------------------------------
Main:
    Servo_On()                                  ' Start sending servo control pulses

    While 1 = 1                                 ' Create an infinite loop
        For CountVar = 600 To 2400
            Servo1_Position(CountVar)           ' Move Servo 1
            Servo2_Position(CountVar)           ' Move Servo 2
            Servo3_Position(CountVar)           ' Move Servo 3
            Servo4_Position(CountVar)           ' Move Servo 4
            Servo5_Position(CountVar)           ' Move Servo 5
            Servo6_Position(CountVar)           ' Move Servo 6
            Servo7_Position(CountVar)           ' Move Servo 7
            Servo8_Position(CountVar)           ' Move Servo 8
            DelayUS 512
        Next

        For CountVar = 2400 To 600 Step -1
            Servo1_Position(CountVar)           ' Move Servo 1
            Servo2_Position(CountVar)           ' Move Servo 2
            Servo3_Position(CountVar)           ' Move Servo 3
            Servo4_Position(CountVar)           ' Move Servo 4
            Servo5_Position(CountVar)           ' Move Servo 5
            Servo6_Position(CountVar)           ' Move Servo 6
            Servo7_Position(CountVar)           ' Move Servo 7
            Servo8_Position(CountVar)           ' Move Servo 8
            DelayUS 512
        Next
    Wend

